Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# ExtraSelection Class Reference

(QTextEdit::ExtraSelection)

The QTextEdit::ExtraSelection structure provides a way of specifying a character format for a given selection in a document More...

     #include <QTextEdit>

This class was introduced in Qt 4.2.

- List of all members, including inherited members

## Public Variables

QTextCursor | cursor
QTextCharFormat | format

## Detailed Description

The QTextEdit::ExtraSelection structure provides a way of specifying a character format for a given selection in a document

## Member Variable Documentation

### QTextCursor ExtraSelection::cursor

A cursor that contains a selection in a QTextDocument

### QTextCharFormat ExtraSelection::format

A format that is used to specify a foreground or background brush/color for the selection.